Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-1203

gitlab-merge-request-jenkins version

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I have problem to use a plugin because of the plugin's latest version in jenkins.

      The plugin version of gitlab-merge-request-jenkins is not the last in jenkins's update center.
      http://updates.jenkins-ci.org/download/plugins/gitlab-merge-request-jenkins/

      The 2.0.1 is available but in update center there is just the 2.0.0 (you can see all release of this plugin here : https://github.com/timols/jenkins-gitlab-merge-request-builder-plugin/releases)

        Attachments

          Activity

          Hide
          rtyler R. Tyler Croy added a comment -

          This is not recognizable as an issue of any form to me. Please consult this wiki page to learn more about filing an actionable issue.

          Show
          rtyler R. Tyler Croy added a comment - This is not recognizable as an issue of any form to me. Please consult this wiki page to learn more about filing an actionable issue.
          Hide
          rtyler R. Tyler Croy added a comment -

          It looks like the latest version of the released plugin was done from outside the jenkinsci GitHub organization which is a requirement for distribution of plugins using the Jenkins project's infrastructure.

          From the update-center Pipeline run:

          gitlab-merge-request-jenkins
          ** Rejecting URL outside GitHub.com/jenkinsci for gitlab-merge-request-jenkins: https://github.com/timols/jenkins-gitlab-merge-request-builder-plugin
          ** Falling back to default repo for gitlab-merge-request-jenkins: https://github.com/jenkinsci/gitlab-merge-request-jenkins-plugin
          ** Repository does not actually exist: https://github.com/jenkinsci/gitlab-merge-request-jenkins-plugin
          => {"buildDate":"Dec 29, 2015","dependencies":[],"developers":[{"developerId":"timols","email":"tim.olshansky@gmail.com","name":"Tim Olshansky"}],"excerpt":"A plugin to build merge requests in Gitlab","gav":"com.switchfly:gitlab-merge-request-jenkins:2.0.0","labels":["scm","misc"],"name":"gitlab-merge-request-jenkins","previousTimestamp":"2015-10-13T17:14:42.00Z","previousVersion":"1.2.4","releaseTimestamp":"2015-12-29T00:54:49.00Z","requiredCore":"1.638","sha1":"c7Z4ikfUysJ3beplmRg/l2kKcWw=","title":"Gitlab Merge Request Builder","url":"http://updates.jenkins-ci.org/download/plugins/gitlab-merge-request-jenkins/2.0.0/gitlab-merge-request-jenkins.hpi","version":"2.0.0","wiki":"https://plugins.jenkins.io/gitlab-merge-request-jenkins"}
          

          I apologize that this isn't exactly made clear to the end-user or developers, since the update center is generated behind the scenes, but until this plugin is re-released and in compliance with our distribution policies, 2.0.0 will be the latest available.

          Show
          rtyler R. Tyler Croy added a comment - It looks like the latest version of the released plugin was done from outside the jenkinsci GitHub organization which is a requirement for distribution of plugins using the Jenkins project's infrastructure. From the update-center Pipeline run: gitlab-merge-request-jenkins ** Rejecting URL outside GitHub.com/jenkinsci for gitlab-merge-request-jenkins: https: //github.com/timols/jenkins-gitlab-merge-request-builder-plugin ** Falling back to default repo for gitlab-merge-request-jenkins: https: //github.com/jenkinsci/gitlab-merge-request-jenkins-plugin ** Repository does not actually exist: https: //github.com/jenkinsci/gitlab-merge-request-jenkins-plugin => { "buildDate" : "Dec 29, 2015" , "dependencies" :[], "developers" :[{ "developerId" : "timols" , "email" : "tim.olshansky@gmail.com" , "name" : "Tim Olshansky" }], "excerpt" : "A plugin to build merge requests in Gitlab" , "gav" : "com.switchfly:gitlab-merge-request-jenkins:2.0.0" , "labels" :[ "scm" , "misc" ], "name" : "gitlab-merge-request-jenkins" , "previousTimestamp" : "2015-10-13T17:14:42.00Z" , "previousVersion" : "1.2.4" , "releaseTimestamp" : "2015-12-29T00:54:49.00Z" , "requiredCore" : "1.638" , "sha1" : "c7Z4ikfUysJ3beplmRg/l2kKcWw=" , "title" : "Gitlab Merge Request Builder" , "url" : "http: //updates.jenkins-ci.org/download/plugins/gitlab-merge-request-jenkins/2.0.0/gitlab-merge-request-jenkins.hpi" , "version" : "2.0.0" , "wiki" : "https://plugins.jenkins.io/gitlab-merge-request-jenkins" } I apologize that this isn't exactly made clear to the end-user or developers, since the update center is generated behind the scenes, but until this plugin is re-released and in compliance with our distribution policies, 2.0.0 will be the latest available.
          Hide
          danielbeck Daniel Beck added a comment -

          The above is incorrect; it's just metadata.

          Version 2.0.1 has never been uploaded to repo.jenkins-ci.org, our Maven artifacts repository, so is unavailable on the update center for that reason. It's the maintainer's job to do this, looks like something went wrong and they ignored it.

          Show
          danielbeck Daniel Beck added a comment - The above is incorrect; it's just metadata. Version 2.0.1 has never been uploaded to repo.jenkins-ci.org, our Maven artifacts repository, so is unavailable on the update center for that reason. It's the maintainer's job to do this, looks like something went wrong and they ignored it.

            People

            Assignee:
            slide_o_mix Alex Earl
            Reporter:
            mouzaffar_a mouz
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: